#version 330 core
layout (location = 0) in vec3 vPos;
layout (location = 1) in vec3 vNormal;
layout (location = 2) in vec2 vTexCoord;
//varying vec3 color;
uniform mat4 MVP;

out vec3 ourNormal;
out vec2 uv;
out float ypos;
out vec3 FragPos;

void main()
{
   gl_Position = MVP * vec4(vPos, 1.0);
   ourNormal=vNormal;
   FragPos = vec3(MVP * vec4(vPos, 1.0));
   ypos=vPos.y*0.001f; // -1000 to 1000 = -1 to 1
	//ourColor = vec3(0.0f,sign(vPos.y),0.0f);
	//ourColor = vec3(0.0f,1.0f,0.0f);
	//uv = vec2(vTexCoord.x, vTexCoord.y);
	uv = vec2(ourNormal.x, ourNormal.z);
}
